2017-09-24 07:35 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000259Cheat Enginepublic2013-08-29 23:00
Reportermgr_inz_Player 
Assigned ToDark Byte 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000259: Disassembler and Assembler needs to be fixed
Descriptiondisassembler:
0FBD C9 should be BSR ECX,ECX (BSR r16,r/m16 or BSR r32,r/m32)
D9EA should be FLDL2E
DE C0 should be FADDP ST(0),ST(0)
D8E8 should be FSUBR ST(0),ST(0)
D8FF should be FDIVR ST(0),ST(7)
0FA5 D0 should be SHLD EAX,EDX,CL
0FA5 C3 should be SHLD EBX,EAX,CL
0FA5 DA should be SHLD EDX,EBX,CL
0FA5 D6 should be SHLD ESI,EDX,CL
F3 0F52 D2should be RSQRTSS XMM2,XMM2

between two SSE registers:
0F12 C8 should be MOVHLPS XMM0,XMM1 (opcode: OF 12 /r)
0F16 FF should be MOVLHPS XMM7,XMM7 (opcode: OF 16 /r)

note, 'memory to XMM' and 'XMM to memory' opcodes:
MOVLPS - 0F 12 /r and 0F 13 /r
MOVHPS - 0F 16 /r and 0F 17 /r








Assembler:

fnclex
f2xm1
fyl2xp1
rsqrtps xmm0,[eax]
rcpss xmm0,[eax] (scalar single)
rcpps xmm0,[eax] (packed single)
pmulhuw mm0,[eax] (MMX register)
pmulhuw xmm0,[eax] (SSE register)
psubsb mm0,[eax]
psubsw mm0,[eax]
psubsb xmm0,[eax]
psubsw xmm0,[eax]
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000549

mgr_inz_Player (reporter)

Assembler unit:

PEXTRW r32, mm, imm8
PEXTRW r32, xmm, imm8

example:
0FC5 C0 01 - pextrw eax,mm0,01
66 0FC5 C0 01 - pextrw eax,xmm0,01

~0000577

Dark Byte (developer)

fixed in svn
+Notes

-Issue History
Date Modified Username Field Change
2013-07-05 15:51 mgr_inz_Player New Issue
2013-07-06 19:36 Dark Byte Status new => acknowledged
2013-07-09 14:09 mgr_inz_Player Note Added: 0000549
2013-08-29 23:00 Dark Byte Note Added: 0000577
2013-08-29 23:00 Dark Byte Status acknowledged => resolved
2013-08-29 23:00 Dark Byte Resolution open => fixed
2013-08-29 23:00 Dark Byte Assigned To => Dark Byte
+Issue History